org.apache.ignite.internal.util

## Class GridQueue.Node<E>

- java.lang.Object
- - org.apache.ignite.internal.util.GridQueue.Node<E>

Type Parameters:
  `E` - Queue element.

Enclosing class:
  GridQueue<E>

    public static class GridQueue.Node<E>
    extends Object

Node for internal linked list.

### Method Summary

Methods
`E` `item()` Gets this node's item.
`String` `toString()`
`boolean` `unlinked()` Checks if node is unlinked.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### item

    public E item()

Gets this node's item.

Returns:
  This node's item.

#### unlinked

    public boolean unlinked()

Checks if node is unlinked.

Returns:
  `True` if node is unlinked.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015